# fix nve command

## Syntax

    fix ID group-ID nve

- ID, group-ID are documented in fix command
- nve = style name of this fix command

## Examples

    fix 1 all nve

## Description

Perform constant NVE integration to update position and velocity for atoms in the group each timestep. V is volume; E is energy. This creates a system trajectory consistent with the microcanonical ensemble.

## Restart, fix_modify, output, run start/stop, minimize info

No information about this fix is written to binary restart files. None of the fix_modify options are relevant to this fix. No global or per-atom quantities are stored by this fix for access by various output commands. No parameter of this fix can be used with the start/stop keywords of the run command. This fix is not invoked during `energy minimization`.

## Restrictions

> none

Related commands: none

Default: none